Products V2022_05_01

class sp_api.api.ProductsV20220501(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)
Links:

https://github.com/amzn/selling-partner-api-docs/blob/main/references/product-pricing-api/productPricingV0.md https://developer-docs.amazon.com/sp-api/docs/product-pricing-api-v2022-05-01-reference

Returns the set of responses that correspond to the batched list of up to 40 requests defined in the request body. The response for each successful (HTTP status code 200) request in the set includes the computed listing price at or below which a seller can expect to become the featured offer (before applicable promotions). This is called the featured offer expected price (FOEP). Featured offer is not guaranteed because competing offers might change. Other offers might be featured based on factors such as fulfillment capabilities to a specific customer. The response to an unsuccessful request includes the available error text.

Usage Plan:

Rate (requests per second)

Burst

0.033

1

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

ProductsV20220501().get_featured_offer_expected_price_batch("value")
Parameters:

getFeaturedOfferExpectedPriceBatchRequestBody – GetFeaturedOfferExpectedPriceBatchRequest | required The batch of getFeaturedOfferExpectedPrice requests.

Returns:

ApiResponse

get_competitive_summary_batch(self, requests_, **kwargs) ApiResponse

Returns the competitive summary response, including featured buying options for the ASIN and marketplaceId combination.

Usage Plan:

Rate (requests per second)

Burst

0.033

1

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

ProductsV20220501().get_competitive_summary_batch("value")
Parameters:

requests – CompetitiveSummaryBatchRequest | required The batch of getCompetitiveSummary requests.

Returns:

ApiResponse